<template>
  <el-dialog
    :title="!dataForm.id ? '新增' : '修改'"
    :close-on-click-modal="false"
    :visible.sync="visible">
    <el-form :model="dataForm" :rules="dataRule" ref="dataForm" @keyup.enter.native="dataFormSubmit()"
             label-width="80px">
      <el-form-item label="案件：" prop="name">
        <el-select v-model="dataForm.administrativePenaltyFilesId" placeholder="请选择" @change="causeChange">
          <el-option
            v-for="item in processAjApprovalList"
            :key="item.id"
            :label="item.processAjCoverName"
            :value="item.id+''">
          </el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="行政机关负责人审批意见" prop="administrativeOpinions">
        <el-input v-model="dataForm.administrativeOpinions" placeholder="行政机关负责人审批意见"></el-input>
      </el-form-item>
      <el-form-item label="行政机关负责人审批意见时间" prop="administrativeOpinionsTime">
<!--        <el-input v-model="dataForm.administrativeOpinionsTime" placeholder="行政机关负责人审批意见时间"></el-input>-->
        <el-date-picker
          style="width: 100%"
          value-format="yyyy-MM-dd"
          v-model="dataForm.administrativeOpinionsTime"
          type="date"
          placeholder="选择日期">
        </el-date-picker>
      </el-form-item>
      <el-form-item label="案由" prop="causeAction">
        <el-input v-model="dataForm.causeAction" placeholder="案由"></el-input>
      </el-form-item>
      <el-form-item label="陈述申辩，听证情况" prop="defenseAndHearing">
        <el-input v-model="dataForm.defenseAndHearing" placeholder="陈述申辩，听证情况"></el-input>
      </el-form-item>
      <el-form-item label="简要案情及建议作出行政处罚的理由依据和内容" prop="des">
        <el-input v-model="dataForm.des" placeholder="简要案情及建议作出行政处罚的理由依据和内容"></el-input>
      </el-form-item>
      <el-form-item label="立案时间" prop="filingTime">
<!--        <el-input v-model="dataForm.filingTime" placeholder="立案时间"></el-input>-->
        <el-date-picker
          style="width: 100%"
          value-format="yyyy-MM-dd"
          v-model="dataForm.filingTime"
          type="date"
          placeholder="选择日期">
        </el-date-picker>
      </el-form-item>
      <el-form-item label="法制审核意见" prop="legalReviewOpinions">
        <el-input v-model="dataForm.legalReviewOpinions" placeholder="法制审核意见"></el-input>
      </el-form-item>
      <el-form-item label="法制审批时间" prop="legalReviewOpinionsTime">
<!--        <el-input v-model="dataForm.legalReviewOpinionsTime" placeholder="法制审批时间"></el-input>-->
        <el-date-picker
          style="width: 100%"
          value-format="yyyy-MM-dd"
          v-model="dataForm.legalReviewOpinionsTime"
          type="date"
          placeholder="选择日期">
        </el-date-picker>
      </el-form-item>
      <el-form-item label="承办机构意见" prop="opinionsOfTheOrganizer">
        <el-input v-model="dataForm.opinionsOfTheOrganizer" placeholder="承办机构意见"></el-input>
      </el-form-item>
      <el-form-item label="承办人意见1" prop="opinionsOfTheUndertaker1">
        <el-input v-model="dataForm.opinionsOfTheUndertaker1" placeholder="承办人意见1"></el-input>
      </el-form-item>
      <el-form-item label="承办人意见2" prop="opinionsOfTheUndertaker2">
        <el-input v-model="dataForm.opinionsOfTheUndertaker2" placeholder="承办人意见2"></el-input>
      </el-form-item>
      <el-form-item label="承办人签名1" prop="opinionsOfTheUndertakerAutograph1">
        <el-input v-model="dataForm.opinionsOfTheUndertakerAutograph1" placeholder="承办人签名1"></el-input>
      </el-form-item>
      <el-form-item label="承办人签名2" prop="opinionsOfTheUndertakerAutograph2">
        <el-input v-model="dataForm.opinionsOfTheUndertakerAutograph2" placeholder="承办人签名2"></el-input>
      </el-form-item>
      <el-form-item label="承办人执法证编号1" prop="opinionsOfTheUndertakerCardNo1">
        <el-input v-model="dataForm.opinionsOfTheUndertakerCardNo1" placeholder="承办人执法证编号1"></el-input>
      </el-form-item>
      <el-form-item label="承办人执法证编号2" prop="opinionsOfTheUndertakerCardNo2">
        <el-input v-model="dataForm.opinionsOfTheUndertakerCardNo2" placeholder="承办人执法证编号2"></el-input>
      </el-form-item>
      <el-form-item label="承办人时间" prop="opinionsOfTheUndertakerTime">
<!--        <el-input v-model="dataForm.opinionsOfTheUndertakerTime" placeholder="承办人时间"></el-input>-->
        <el-date-picker
          style="width: 100%"
          value-format="yyyy-MM-dd"
          v-model="dataForm.opinionsOfTheUndertakerTime"
          type="date"
          placeholder="选择日期">
        </el-date-picker>
      </el-form-item>
      <el-form-item label="承办机构时间" prop="undertakerDate">
<!--        <el-input v-model="dataForm.undertakerDate" placeholder="承办机构时间"></el-input>-->
        <el-date-picker
          style="width: 100%"
          value-format="yyyy-MM-dd"
          v-model="dataForm.undertakerDate"
          type="date"
          placeholder="选择日期">
        </el-date-picker>
      </el-form-item>
    </el-form>
    <span slot="footer" class="dialog-footer">
      <el-button @click="visible = false">取消</el-button>
      <el-button type="primary" @click="dataFormSubmit()">确定</el-button>
    </span>
  </el-dialog>
</template>

<script>
import {getObj, addObj, putObj} from '@/api/process/examinationpenaltydecision'
import {findAll} from "@/api/process/processajapproval";

export default {
  data() {
    return {
      visible: false,
      dataForm: {
        id: 0,
        createBy: '',
        createTime: '',
        updateBy: '',
        updateTime: '',
        administrativeOpinions: '',
        administrativeOpinionsTime: '',
        causeAction: '',
        defenseAndHearing: '',
        des: '',
        filingTime: '',
        legalReviewOpinions: '',
        legalReviewOpinionsTime: '',
        opinionsOfTheOrganizer: '',
        opinionsOfTheUndertaker1: '',
        opinionsOfTheUndertaker2: '',
        opinionsOfTheUndertakerAutograph1: '',
        opinionsOfTheUndertakerAutograph2: '',
        opinionsOfTheUndertakerCardNo1: '',
        opinionsOfTheUndertakerCardNo2: '',
        opinionsOfTheUndertakerTime: '',
        undertakerDate: ''
      },
      processAjApprovalList: [],
      dataRule: {
        createBy: [
          {required: true, message: '不能为空', trigger: 'blur'}
        ],
        createTime: [
          {required: true, message: '不能为空', trigger: 'blur'}
        ],
        delFlag: [
          {required: true, message: '不能为空', trigger: 'blur'}
        ],
        updateBy: [
          {required: true, message: '不能为空', trigger: 'blur'}
        ],
        updateTime: [
          {required: true, message: '不能为空', trigger: 'blur'}
        ],
        administrativeOpinions: [
          {required: true, message: '行政机关负责人审批意见不能为空', trigger: 'blur'}
        ],
        administrativeOpinionsTime: [
          {required: true, message: '行政机关负责人审批意见时间不能为空', trigger: 'blur'}
        ],
        causeAction: [
          {required: true, message: '案由不能为空', trigger: 'blur'}
        ],
        defenseAndHearing: [
          {required: true, message: '陈述申辩，听证情况不能为空', trigger: 'blur'}
        ],
        des: [
          {required: true, message: '简要案情及建议作出行政处罚的理由依据和内容不能为空', trigger: 'blur'}
        ],
        filingTime: [
          {required: true, message: '立案时间不能为空', trigger: 'blur'}
        ],
        legalReviewOpinions: [
          {required: true, message: '法制审核意见不能为空', trigger: 'blur'}
        ],
        legalReviewOpinionsTime: [
          {required: true, message: '法制审批时间不能为空', trigger: 'blur'}
        ],
        opinionsOfTheOrganizer: [
          {required: true, message: '承办机构意见不能为空', trigger: 'blur'}
        ],
        opinionsOfTheUndertaker1: [
          {required: true, message: '承办人意见1不能为空', trigger: 'blur'}
        ],
        opinionsOfTheUndertaker2: [
          {required: true, message: '承办人意见2不能为空', trigger: 'blur'}
        ],
        opinionsOfTheUndertakerAutograph1: [
          {required: true, message: '承办人签名1不能为空', trigger: 'blur'}
        ],
        opinionsOfTheUndertakerAutograph2: [
          {required: true, message: '承办人签名2不能为空', trigger: 'blur'}
        ],
        opinionsOfTheUndertakerCardNo1: [
          {required: true, message: '承办人执法证编号1不能为空', trigger: 'blur'}
        ],
        opinionsOfTheUndertakerCardNo2: [
          {required: true, message: '承办人执法证编号2不能为空', trigger: 'blur'}
        ],
        opinionsOfTheUndertakerTime: [
          {required: true, message: '承办人时间不能为空', trigger: 'blur'}
        ],
        undertakerDate: [
          {required: true, message: '承办机构时间不能为空', trigger: 'blur'}
        ]
      }
    }
  },
  methods: {
    init(id) {
      this.dataForm.id = id || 0
      this.visible = true
      this.$nextTick(() => {
        this.$refs['dataForm'].resetFields()
        if (this.dataForm.id) {
          getObj(this.dataForm.id).then(response => {
            this.dataForm = response.data.data
          })
        }
      })
      this.findAllProcessAj();
    },
    //查询所有案件
    findAllProcessAj() {
      findAll().then(res => {
        this.processAjApprovalList = res.data.data
      });
    },
    causeChange(id) {
      let processAjApproval;
      this.processAjApprovalList.forEach(item => {
        if(item.id === id){
          processAjApproval = item;
        }
      });
      this.dataForm.administrativePenaltyFilesId = id;
      this.dataForm.processAjApprovalId = id;
      this.dataForm.causeAction = processAjApproval.caseReason;
    },
    // 表单提交
    dataFormSubmit() {
      this.$refs['dataForm'].validate((valid) => {
        if (valid) {
          if (this.dataForm.id) {
            putObj(this.dataForm).then(data => {
              this.$message.success('修改成功')
              this.visible = false
              this.$emit('refreshDataList')
            });
          } else {
            addObj(this.dataForm).then(data => {
              this.$message.success('添加成功')
              this.visible = false
              this.$emit('refreshDataList')
            })
          }
        }
      })
    }
  }
}
</script>
